Page MenuHomePhabricator

Add badge for good lists to Wikidata
Closed, ResolvedPublic

Description

Hi, I've done this request on Wikidata, but they took to open a task here. In some wikipedias, there is a option to feature a list like good, like is done with the articles. However, in Wikidata there aren't any option to select any list like good, forcing the people select it like an article. An examples are Q785292 and Q50318353. Some policies about good lists: eswiki and ptwiki. So, I request that be possible mark in wikidata lists like good.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd badge for good lists
mediawiki/extensions/WikimediaBadges : masterAdd "goodlist" badge css for the sidebar
mediawiki/extensions/Wikidata.org : masterAdd 'goodlist' badge styles

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 28 2018, 11:00 PM
jhsoby added a subscriber: jhsoby.EditedMar 29 2018, 12:58 AM

This has already been an option for a long time, practically since those marks were introduced. See this edit. (See next comment)

Ah, never mind me, I confused featured lists and good lists, they're two different levels in eswiki and ptwiki. Then indeed, that should be made available in Wikidata.

The status of this task is "Needs triage". Is need that anything be done?

Lydia_Pintscher triaged this task as Medium priority.Apr 3 2018, 6:36 PM
Lydia_Pintscher moved this task from incoming to consider for next sprint on the Wikidata board.
Lydia_Pintscher added a project: patch-welcome.
Lydia_Pintscher renamed this task from Good lists in Wikidata to Add badge for good lists to Wikidata.Apr 10 2018, 12:54 PM
Ladsgroup moved this task from User Stories to In Progress on the Wikidata-Ministry-Of-Magic board.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptApr 11 2018, 12:38 PM

Change 425586 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikidata.org@master] Add 'goodlist' badge styles

https://gerrit.wikimedia.org/r/425586

Change 425587 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/WikimediaBadges@master] Add "goodlist" badge css for the sidebar

https://gerrit.wikimedia.org/r/425587

Change 425589 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Add badge for good lists

https://gerrit.wikimedia.org/r/425589

Change 425586 merged by jenkins-bot:
[mediawiki/extensions/Wikidata.org@master] Add 'goodlist' badge styles

https://gerrit.wikimedia.org/r/425586

Change 425587 merged by jenkins-bot:
[mediawiki/extensions/WikimediaBadges@master] Add "goodlist" badge css for the sidebar

https://gerrit.wikimedia.org/r/425587

Change 425589 merged by jenkins-bot:
[operations/mediawiki-config@master] Add badge for good lists

https://gerrit.wikimedia.org/r/425589

Mentioned in SAL (#wikimedia-operations) [2018-04-24T13:28:50Z] <ladsgroup@tin> Synchronized wmf-config/Wikibase-production.php: [[gerrit:425589|Add badge for good lists (T190976)]] (duration: 00m 55s)

Lydia_Pintscher closed this task as Resolved.Apr 25 2018, 9:27 AM

@MrFulano It's done! You can now select good list when adding a badge :)